<div class="order-cancel-popup-wrap">
    <form [formGroup]="orderCancelForm" (ngSubmit)="onSubmit()" >
      <div class="common-popup-header">
        <div class="common-title">{{'CONFIRM_CANCEL_ORDER' | translate: lang}}</div>
        <div class="form-close">
            <button [mat-dialog-close]="true">
                <i class="material-icons">close</i>
            </button>
        </div>
      </div>
      <div class="row">
        <div class="col s12">
          <mat-form-field appearance="outline" class="common-form-field-width">
            <mat-label>{{'WHY_CANCELLING_ORDER' | translate: lang}}</mat-label>
            <mat-select required [placeholder]="'WHY_CANCELLING_ORDER' | translate: lang" formControlName="reason" (selectionChange)="catchValue($event.value)">
              <mat-option *ngFor="let item of reasonList" [value]="item.orderCancelTypeId">
                {{item.reason}}
              </mat-option>
            </mat-select>
            <mat-hint *ngIf="(orderCancelForm.controls['reason'].invalid && (orderCancelForm.controls['reason'].dirty ||orderCancelForm.controls['reason'].touched))">
              <mat-error *ngIf="orderCancelForm.controls['reason'].errors.required">
                {{ 'REQUIRED' | translate:lang }}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col s12">
          <mat-form-field appearance="outline" class="common-form-field-width">
            <mat-label>{{'LABEL_DESCRIPTION' | translate: lang}}</mat-label>
            <textarea rows="5" matInput formControlName="description" [placeholder]="'LABEL_DESCRIPTION' | translate: lang" [maxLength]="descMaxLength" [required]=isRequired></textarea>
            <mat-hint *ngIf="(orderCancelForm.controls['description'].invalid && (orderCancelForm.controls['description'].dirty || orderCancelForm.controls['description'].touched))">
              <mat-error *ngIf="orderCancelForm.controls['description'].errors.required">
                {{ 'REQUIRED' | translate:lang }}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
      </div>
      <div class="form-popup-btn">
        <button mat-raised-button color="primary" [disabled]="!orderCancelForm.valid">{{'CONFIRM_CANCEL_BTN'| translate: lang}}</button>
      </div>
    </form>
    </div>
    
  
